Bug 58956 - foomatic-datafile can't be run as non-root
Summary: foomatic-datafile can't be run as non-root
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: foomatic (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-01-28 15:46 UTC by Bernhard Rosenkraenzer
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-29 16:39:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bernhard Rosenkraenzer 2002-01-28 15:46:34 UTC
A non-root user can't run foomatic-datafile to retrieve information about the
correct driver for a printer.

The worst effect of this is that the "cups-drivers" package (which basically
just turns the foomatic database into CUPS PPD files) doesn't build as user.

[bero@spock bero]$ /usr/sbin/foomatic-datafile -t cups -p 75712 -d stcolor
mkdir: cannot create directory `/var/cache/foomatic/compiled': Permission denied
chmod: failed to get attributes of `/var/cache/foomatic/compiled/': No such file
or directory
sh: /var/cache/foomatic/compiled/combo/stcolor/75712.xml: No such file or directory
Could not mkdir /var/cache/foomatic/pcache
Could not mkdir /var/cache/foomatic/pcache/source
Could not mkdir /var/cache/foomatic/pcache/source/printer
can't create /var/cache/foomatic/pcache/source/printer/75712.perl.15747: No such
file or directory at /usr/lib/perl5/site_perl/5.6.1/Foomatic/DB.pm line 2519


Ideally, foomatic-datafile wouldn't depend on the cache to run.
Alternatively, it should be possible to specify a different cache directory
(cachedir is set in /usr/lib/perl5/site_perl/5.6.1/Foomatic/Defaults.pm, and not
replaced anywhere, I think) like /tmp/foomatic.

Comment 2 Tim Waugh 2002-01-29 17:04:33 UTC
In foomatic-1.1-0.20020129.1 the variable FOOMATIC_CACHEDIR can override $cachedir.

I haven't had feedback from the maintainers yet; I'll reopen this bug if it turns
out that this is the wrong way to fix it.


Comment 3 Tim Waugh 2002-01-29 17:54:59 UTC
The patch has been accepted and is now in CVS.



Note You need to log in before you can comment on or make changes to this bug.